%define anolis_release .0.4
Summary: X.Org X11 libXxf86misc runtime library
Name: libXxf86misc
Version: 1.0.4
Release: 1%{anolis_release}%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

# copied out of xorgproto 2018.4
Source1: xf86misc.h
Source2: xf86mscstr.h
Source3: xf86miscproto.pc

BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(xproto) pkgconfig(xext)

%description
X.Org X11 libXxf86misc runtime library

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}


%description  doc
Doc pages for %{name}.

%package devel
Summary: X.Org X11 libXxf86misc development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXxf86misc development package

%prep
%setup -q
%ifarch sw_64
sed -i 's/Requires: xf86miscproto//' xxf86misc.pc.in
%endif
sed -i s/xf86miscproto// configure.ac
mkdir -p src/X11/extensions/
cp %{SOURCE1} %{SOURCE2} src/X11/extensions/

%build
autoreconf -v --install --force
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p $RPM_BUILD_ROOT%{_includedir}/X11/extensions
install -m 0644 -p %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/X11/extensions
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/
install -m 0644 -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%ldconfig_post
%ldconfig_postun

%files
%{_libdir}/libXxf86misc.so.1
%{_libdir}/libXxf86misc.so.1.1.0

%files doc
%doc README COPYING ChangeLog

%files devel
%{_includedir}/X11/extensions/*.h
%{_libdir}/libXxf86misc.so
%{_libdir}/pkgconfig/xxf86misc.pc
%{_datadir}/pkgconfig/xf86miscproto.pc
%{_mandir}/man3/*.3*

%changelog
* Thu Jul 25 2024 happy_orange <songnannan.snn@alibaba-inc.com> - 1.0.4-1.0.4
- Fix build with xorgproto >= 2019.1, which dropped the xf86misc headers
- add the pc file for xf86miscproto

* Tue Jan 23 2024 Weisson <Weisson@linux.alibaba.com> - 1.0.4-1.0.3
- no packages provides pkgconfig(xf86miscproto) any more, remove it.

* Wed Oct 18 2023 Weisson <Weisson@linux.alibaba.com> - 1.0.4-1.0.2
- import x11 extensions to help sw_64 build.

* Mon Jul 17 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.4-1.0.1
- Add doc sub package

* Thu Jul 05 2018 Adam Jackson <ajax@redhat.com> - 1.0.4-1
- libXxf86misc 1.0.4

* Fri Jun 29 2018 Adam Jackson <ajax@redhat.com> - 1.0.3-16
- Use ldconfig scriptlet macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Peter Hutterer <peter.hutterer@redhat.com> - 1.0.3-6
- autoreconf for aarch64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Peter Hutterer <peter.hutterer@redhat.com> 1.0.3-1
- libXxf86misc 1.0.3
